> ## Documentation Index
> Fetch the complete documentation index at: https://ago.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Existing Dataset

> Update an existing simulation dataset.



## OpenAPI

````yaml /openapi-v1.json put /api/v1/simulation/datasets/{dataset_id}
openapi: 3.1.0
info:
  title: AGO Public API
  version: 1.0.0
  description: Programmatic access to your AGO workspace.
servers:
  - url: https://{tenant_id}.api.useago.com
    description: AGO Public API v1
    variables:
      tenant_id:
        default: your-tenant-id
        description: Your AGO tenant identifier
security: []
paths:
  /api/v1/simulation/datasets/{dataset_id}:
    put:
      tags:
        - Simulation
      summary: Update Existing Dataset
      description: Update an existing simulation dataset.
      operationId: core_api_v1_controllers_simulation_update_existing_dataset
      parameters:
        - in: path
          name: dataset_id
          schema:
            title: Dataset Id
            type: string
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SimulationDatasetUpdateIn'
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SimulationDatasetOut'
      security:
        - ScopedAPIKeyAuth: []
components:
  schemas:
    SimulationDatasetUpdateIn:
      description: Schema for updating a simulation dataset via the v1 API.
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        agent_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Agent Id
        default_persona_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Default Persona Id
      title: SimulationDatasetUpdateIn
      type: object
    SimulationDatasetOut:
      description: Response schema for simulation datasets.
      properties:
        object:
          default: simulation_dataset
          title: Object
          type: string
        id:
          title: Id
          type: string
        name:
          title: Name
          type: string
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        agent_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Agent Id
        agent_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Agent Name
        default_persona_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Default Persona Id
        test_case_count:
          default: 0
          title: Test Case Count
          type: integer
        created_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Created At
        updated_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Updated At
      required:
        - id
        - name
      title: SimulationDatasetOut
      type: object
  securitySchemes:
    ScopedAPIKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````